package com.eneraptor.hci

class ChartsController {

    def index = { }
	
	def showGraph = {
		
		List data = new ArrayList()
		
		if(params['dataList'])
			data = params['dataList']
		else if(params['deviceId'] && params['fromDate'] && params['tillDate']) {
			
			def c = LoggedData.createCriteria()
			def results = c {
				and {
					eq("deviceId",params['deviceId'])
					between("dateRecieved",params['fromDate'],params['tillDate'])
				}
				order("dateRecieved","asc")
			}
			
			results.each {
				data << [it.dateRecieved.getTime(),it.reportedData]
			}
			
		}
		
		[data: data]
		
	}
	
}
